Bug 391646 - When the scroll bar of the Notifications applet is active, I need to scroll up to show the progress of a file operation
Summary: When the scroll bar of the Notifications applet is active, I need to scroll u...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Notifications (show other bugs)
Version: 5.15.2
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: 1.0
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-10 02:50 UTC by Patrick Silva
Modified: 2019-05-09 09:33 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.16.0


Attachments
demonstration (194.39 KB, image/gif)
2018-03-12 15:38 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-03-10 02:50:53 UTC
When the notifications applet history reaches a certain number of entries, you will need to scroll up to show the latest entry on top when you click applet icon in system tray.
It's annoying to scroll up every time I want see the progress of a long file operation, for example.
Comment 1 Alexander Mentyu 2018-03-11 13:25:51 UTC
if there is ongoing file transfer operation - it always displays on top of history

if there are new notifications - after opening Notifications panel popup - recent notifications are displayed on top

after scrolling to certain position in Notifications history - popup opens at that last scrolled position

do you want that the ongoing file transfer operations were at top non-scrollable fixed position?

or that if there are ongoing file transfers - history popup always scrolls up to top regardless of last scrolled position?
Comment 2 Patrick Silva 2018-03-11 14:12:48 UTC
I want that latest entry on top is always visible when clipboard applet is opened.
Comment 3 Alexander Mentyu 2018-03-12 14:57:43 UTC
Could you please attach screenshot/video - i can't figure it out)
Comment 4 Patrick Silva 2018-03-12 15:38:08 UTC
Created attachment 111340 [details]
demonstration

Hi Alexander
See my gif plase. Note that the file operation progress on top is hidden when I open notification applet. I need scroll up to show it.
Comment 5 Kai Uwe Broulik 2018-04-06 15:20:04 UTC
We abuse ListView somewhat to ensure we don't OOM when there's lots of notifications, so the stuff at the top is in ListView's "header" which it doesn't consider when placing it "at the top". Will have a look.
Comment 6 Kai Uwe Broulik 2018-04-25 09:31:19 UTC
Git commit 19332567dce613b0d6ad59497a614d397c31ba91 by Kai Uwe Broulik.
Committed on 25/04/2018 at 09:30.
Pushed by broulik into branch 'Plasma/5.12'.

[Notifications] Always scroll to the top when opening

The more important recent stuff is at the top.
FIXED-IN: 5.12.5

Differential Revision: https://phabricator.kde.org/D11989

M  +10   -0    applets/notifications/package/contents/ui/main.qml

https://commits.kde.org/plasma-workspace/19332567dce613b0d6ad59497a614d397c31ba91
Comment 7 Patrick Silva 2018-04-25 12:14:31 UTC
(In reply to Dr. Chapatin from comment #2)
> I want that latest entry on top is always visible when clipboard applet is
> opened.

lol
Obviously I meant "...notifications applet is opened".

Thank you very much for solving this annoying usability problem.
Comment 8 Patrick Silva 2018-05-02 13:29:38 UTC
Unfortunately it's not fixed in plasma 5.12.5, Arch Linux
Comment 9 David Edmundson 2018-08-02 23:21:30 UTC
Can you give some concrete steps to trigger this? We're going to need to put some different sized delegates in the view and then remove some at the top to trigger it.
Comment 10 Patrick Silva 2018-08-02 23:57:58 UTC
Hi David
Copy a big file (~500MiB) to another partition/device using Dolphin and repeat this step several times until the amount of entries shown in the notifications applet history is enough to enable the scroll bar (Each time a file operation is completed, a new entry is created in the notifications applet history).
Copy a bigger file to another partition/device and click on the notifications applet while the file operation is happening to show its progress: the file operation progress on top of the notifications applet is hidden, you need to scroll up to see it (like you can see in my gif).
Just reproduced on Arch Linux running plasma 5.13.3.
Comment 11 Kai Uwe Broulik 2019-05-09 09:33:06 UTC
Git commit 3c52fc3bc05e0f351d4998ad54edae1a4e21a043 by Kai Uwe Broulik.
Committed on 09/05/2019 at 09:29.
Pushed by broulik into branch 'master'.

Merge branch 'broulik/libnotificationmanager'

This includes:
libnotificationmanager https://phabricator.kde.org/D20265
New notification plasmoid: https://phabricator.kde.org/D20266
as well as dataengine compat: https://phabricator.kde.org/D20490 and https://phabricator.kde.org/D20491
Related: bug 222470, bug 402144, bug 405570, bug 401819, bug 400811, bug 392669, bug 390143, bug 390864, bug 374099, bug 360990, bug 346458, bug 398926, bug 390152, bug 342355, bug 402391, bug 399697, bug 400871, bug 398580
FIXED-IN: 5.16.0


https://commits.kde.org/plasma-workspace/3c52fc3bc05e0f351d4998ad54edae1a4e21a043